package com.ruoyi.system.domain.visit;

import java.io.Serializable;
import java.util.Date;

public class VisitPlanTask implements Serializable {
    private String id;

    /**
     * 走访计划id
     *
     * @mbg.generated
     */
    private String planId;

    /**
     * urserId
     *
     * @mbg.generated
     */
    private String urserId;

    /**
     * 网格员姓名
     *
     * @mbg.generated
     */
    private String wgyName;

    /**
     * 网格员wgcode
     *
     * @mbg.generated
     */
    private String wgyCode;

    /**
     * 对象wgcode
     *
     * @mbg.generated
     */
    private String objWgCode;

    /**
     * 走访网格员中间表id
     *
     * @mbg.generated
     */
    private String visitPlanUserId;

    /**
     * 走访对象中间表id
     *
     * @mbg.generated
     */
    private String visitPlanObjId;

    /**
     * 走访对象名称
     *
     * @mbg.generated
     */
    private String objName;

    /**
     * 走访对象id
     *
     * @mbg.generated
     */
    private String objId;

    /**
     * 走访对象类型-1：企业 2：商铺(九小场所）、3房屋（存房屋类型code）
     *
     * @mbg.generated
     */
    private String objType;

    /**
     * 对象编码(统一社会行用代码、营业执照编码、房屋号)
     *
     * @mbg.generated
     */
    private String objNumber;

    /**
     * 法人、户主
     *
     * @mbg.generated
     */
    private String objUserName;

    /**
     * 走访状态 1：已走访、2：未走访
     *
     * @mbg.generated
     */
    private String planTaskStatus;

    /**
     * 工单id
     *
     * @mbg.generated
     */
    private String taskId;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Date createTime;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    private String createBy;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    private Date updateTime;

    /**
     * 最后修改人
     *
     * @mbg.generated
     */
    private String updateBy;

    /**
     * 1:有效 0:无效
     *
     * @mbg.generated
     */
    private String isValid;

    private String ylzd1;

    /**
     * form_id 需要填写的表单id
     */
    private String ylzd2;

    /**
     * 填写记录：record_id
     */
    private String ylzd3;

    private String ylzd4;

    private String ylzd5;

    /**
     * 走访反馈
     *
     * @mbg.generated
     */
    private String planTaskFeedback;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getUrserId() {
        return urserId;
    }

    public void setUrserId(String urserId) {
        this.urserId = urserId;
    }

    public String getWgyName() {
        return wgyName;
    }

    public void setWgyName(String wgyName) {
        this.wgyName = wgyName;
    }

    public String getWgyCode() {
        return wgyCode;
    }

    public void setWgyCode(String wgyCode) {
        this.wgyCode = wgyCode;
    }

    public String getObjWgCode() {
        return objWgCode;
    }

    public void setObjWgCode(String objWgCode) {
        this.objWgCode = objWgCode;
    }

    public String getVisitPlanUserId() {
        return visitPlanUserId;
    }

    public void setVisitPlanUserId(String visitPlanUserId) {
        this.visitPlanUserId = visitPlanUserId;
    }

    public String getVisitPlanObjId() {
        return visitPlanObjId;
    }

    public void setVisitPlanObjId(String visitPlanObjId) {
        this.visitPlanObjId = visitPlanObjId;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }

    public String getObjNumber() {
        return objNumber;
    }

    public void setObjNumber(String objNumber) {
        this.objNumber = objNumber;
    }

    public String getObjUserName() {
        return objUserName;
    }

    public void setObjUserName(String objUserName) {
        this.objUserName = objUserName;
    }

    public String getPlanTaskStatus() {
        return planTaskStatus;
    }

    public void setPlanTaskStatus(String planTaskStatus) {
        this.planTaskStatus = planTaskStatus;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getYlzd1() {
        return ylzd1;
    }

    public void setYlzd1(String ylzd1) {
        this.ylzd1 = ylzd1;
    }

    public String getYlzd2() {
        return ylzd2;
    }

    public void setYlzd2(String ylzd2) {
        this.ylzd2 = ylzd2;
    }

    public String getYlzd3() {
        return ylzd3;
    }

    public void setYlzd3(String ylzd3) {
        this.ylzd3 = ylzd3;
    }

    public String getYlzd4() {
        return ylzd4;
    }

    public void setYlzd4(String ylzd4) {
        this.ylzd4 = ylzd4;
    }

    public String getYlzd5() {
        return ylzd5;
    }

    public void setYlzd5(String ylzd5) {
        this.ylzd5 = ylzd5;
    }

    public String getPlanTaskFeedback() {
        return planTaskFeedback;
    }

    public void setPlanTaskFeedback(String planTaskFeedback) {
        this.planTaskFeedback = planTaskFeedback;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", planId=").append(planId);
        sb.append(", urserId=").append(urserId);
        sb.append(", wgyName=").append(wgyName);
        sb.append(", wgyCode=").append(wgyCode);
        sb.append(", objWgCode=").append(objWgCode);
        sb.append(", visitPlanUserId=").append(visitPlanUserId);
        sb.append(", visitPlanObjId=").append(visitPlanObjId);
        sb.append(", objName=").append(objName);
        sb.append(", objId=").append(objId);
        sb.append(", objType=").append(objType);
        sb.append(", objNumber=").append(objNumber);
        sb.append(", objUserName=").append(objUserName);
        sb.append(", planTaskStatus=").append(planTaskStatus);
        sb.append(", taskId=").append(taskId);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", isValid=").append(isValid);
        sb.append(", ylzd1=").append(ylzd1);
        sb.append(", ylzd2=").append(ylzd2);
        sb.append(", ylzd3=").append(ylzd3);
        sb.append(", ylzd4=").append(ylzd4);
        sb.append(", ylzd5=").append(ylzd5);
        sb.append(", planTaskFeedback=").append(planTaskFeedback);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VisitPlanTask other = (VisitPlanTask) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPlanId() == null ? other.getPlanId() == null : this.getPlanId().equals(other.getPlanId()))
            && (this.getUrserId() == null ? other.getUrserId() == null : this.getUrserId().equals(other.getUrserId()))
            && (this.getWgyName() == null ? other.getWgyName() == null : this.getWgyName().equals(other.getWgyName()))
            && (this.getWgyCode() == null ? other.getWgyCode() == null : this.getWgyCode().equals(other.getWgyCode()))
            && (this.getObjWgCode() == null ? other.getObjWgCode() == null : this.getObjWgCode().equals(other.getObjWgCode()))
            && (this.getVisitPlanUserId() == null ? other.getVisitPlanUserId() == null : this.getVisitPlanUserId().equals(other.getVisitPlanUserId()))
            && (this.getVisitPlanObjId() == null ? other.getVisitPlanObjId() == null : this.getVisitPlanObjId().equals(other.getVisitPlanObjId()))
            && (this.getObjName() == null ? other.getObjName() == null : this.getObjName().equals(other.getObjName()))
            && (this.getObjId() == null ? other.getObjId() == null : this.getObjId().equals(other.getObjId()))
            && (this.getObjType() == null ? other.getObjType() == null : this.getObjType().equals(other.getObjType()))
            && (this.getObjNumber() == null ? other.getObjNumber() == null : this.getObjNumber().equals(other.getObjNumber()))
            && (this.getObjUserName() == null ? other.getObjUserName() == null : this.getObjUserName().equals(other.getObjUserName()))
            && (this.getPlanTaskStatus() == null ? other.getPlanTaskStatus() == null : this.getPlanTaskStatus().equals(other.getPlanTaskStatus()))
            && (this.getTaskId() == null ? other.getTaskId() == null : this.getTaskId().equals(other.getTaskId()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getYlzd1() == null ? other.getYlzd1() == null : this.getYlzd1().equals(other.getYlzd1()))
            && (this.getYlzd2() == null ? other.getYlzd2() == null : this.getYlzd2().equals(other.getYlzd2()))
            && (this.getYlzd3() == null ? other.getYlzd3() == null : this.getYlzd3().equals(other.getYlzd3()))
            && (this.getYlzd4() == null ? other.getYlzd4() == null : this.getYlzd4().equals(other.getYlzd4()))
            && (this.getYlzd5() == null ? other.getYlzd5() == null : this.getYlzd5().equals(other.getYlzd5()))
            && (this.getPlanTaskFeedback() == null ? other.getPlanTaskFeedback() == null : this.getPlanTaskFeedback().equals(other.getPlanTaskFeedback()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPlanId() == null) ? 0 : getPlanId().hashCode());
        result = prime * result + ((getUrserId() == null) ? 0 : getUrserId().hashCode());
        result = prime * result + ((getWgyName() == null) ? 0 : getWgyName().hashCode());
        result = prime * result + ((getWgyCode() == null) ? 0 : getWgyCode().hashCode());
        result = prime * result + ((getObjWgCode() == null) ? 0 : getObjWgCode().hashCode());
        result = prime * result + ((getVisitPlanUserId() == null) ? 0 : getVisitPlanUserId().hashCode());
        result = prime * result + ((getVisitPlanObjId() == null) ? 0 : getVisitPlanObjId().hashCode());
        result = prime * result + ((getObjName() == null) ? 0 : getObjName().hashCode());
        result = prime * result + ((getObjId() == null) ? 0 : getObjId().hashCode());
        result = prime * result + ((getObjType() == null) ? 0 : getObjType().hashCode());
        result = prime * result + ((getObjNumber() == null) ? 0 : getObjNumber().hashCode());
        result = prime * result + ((getObjUserName() == null) ? 0 : getObjUserName().hashCode());
        result = prime * result + ((getPlanTaskStatus() == null) ? 0 : getPlanTaskStatus().hashCode());
        result = prime * result + ((getTaskId() == null) ? 0 : getTaskId().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getYlzd1() == null) ? 0 : getYlzd1().hashCode());
        result = prime * result + ((getYlzd2() == null) ? 0 : getYlzd2().hashCode());
        result = prime * result + ((getYlzd3() == null) ? 0 : getYlzd3().hashCode());
        result = prime * result + ((getYlzd4() == null) ? 0 : getYlzd4().hashCode());
        result = prime * result + ((getYlzd5() == null) ? 0 : getYlzd5().hashCode());
        result = prime * result + ((getPlanTaskFeedback() == null) ? 0 : getPlanTaskFeedback().hashCode());
        return result;
    }
}
